package common.db.dao.hibernate.dialect;

import java.sql.Types;

import org.hibernate.dialect.Oracle12cDialect;
import org.hibernate.type.StringType;

/**
 * Oracle Dialect
 * @author Tadashi Nakayama
 * @version 1.0.0
 */
public final class OracleDialect extends Oracle12cDialect {
	/**
	 * コンストラクタ
	 */
	public OracleDialect() {
		super();
		super.registerHibernateType(Types.CHAR, new StringType().getName());
	}
}
